WordPress.org

Support

Support » Plugins and Hacks » Google XML Sitemaps » [Resolved] Failed to install and broke 3 other plugins

[Resolved] Failed to install and broke 3 other plugins

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Contributor Arne Brachhold

    @arnee

    I don’t see how the plugin could break any other plugin, especially how it could prevent other plugins from being uninstalled. Did you get an error message? All the installation / uninstallation is handled by WordPress, not by the plugin.

    Well, after the update it failed to appear in the plugin list. At the top of the plugin page was a warning that 3 plugins had been uninstalled because they caused an error. When I tried to install the uninstalled plugins, they could not be installed automatically.

    I visited the site via FTP and had to manually delete google site map plugin and the others which had caused the errors.

    I was then able to revert back to a prior stable version of google site maps and was able to reinstall the other plugins.

    I do not know how or why this happened but it happened when I “upgraded” google site maps plugin.

    Plugin Contributor Arne Brachhold

    @arnee

    I’ve installed two of the plugins (broken link checker and WP Jump Menu) and did several tests with the sitemaps plugin, including a new installation, upgrading from 3.4, deactivation and so on, each time without any problem.

    Can you try again and if there are any errors, provide the error log information from the web server?

    I am reluctant to experiment now that I have the site up and running well, again. I notice that some have had problems depending on the type of server they are using. I am on DreamPress which uses a varnish preload cache. I wonder if that might be the reason the update broke those plugins and didn’t appear in the plugin list after upgrade.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Failed to install and broke 3 other plugins’ is closed to new replies.
Skip to toolbar